## nwchem 6.5+r26243

=== debian/changelog ===
nwchem (6.5+r26243-6) unstable; urgency=medium

  * debian/control (Build-Depends): Added libblas-dev and liblapack-dev.
  * debian/rules (BLAS_LIB, LAPACK_LIB): New variables.
  * debian/patches/02_makefile_flags.patch: Updated to no longer build the
    internal blas/lapack code.
  * debian/rules (override_dh_auto_build-arch): Run 64_to_32 target prior to
    build, and 32_to_64 afterwards.
  * debian/rules (USE_64TO32): New variable for 64bit builds.
  * debian/testsuite: Added tce_cc2_c2.

 -- Michael Banck <mbanck@debian.org>  Sat, 03 Oct 2015 19:40:42 +0200

nwchem (6.5+r26243-5) unstable; urgency=medium

  * debian/patches/16_deterministic_timestamp_in_ar_workaround.patch: New
    patch, adds additional ar options that work around issues with
    non-deterministic builds (Closes: #790628).
  * debian/rules (USE_ARUR): New variable, activates the above change.

 -- Michael Banck <mbanck@debian.org>  Sat, 03 Oct 2015 16:06:32 +0200

nwchem (6.5+r26243-4) unstable; urgency=medium

  * debian/patches/02_makefile_flags.patch: Patch updated, to remove -m64 from
    compiler flags on arm64 (Closes: #769525).

 -- Michael Banck <mbanck@debian.org>  Sun, 23 Nov 2014 17:35:50 +0100

nwchem (6.5+r26243-3) unstable; urgency=medium

  * debian/patches/02_makefile_flags.patch: Patch updated to remove additions
    to $(FOPTIMIZE) which are not applicable to the baseline amd64
    architecture (Closes: #767481).
  * debian/patches/01_hardcode_basis-sets_location.patch: Reintroduced patch,
    updated (Closes: #769297).

 -- Michael Banck <mbanck@debian.org>  Thu, 13 Nov 2014 14:01:47 +0100

nwchem (6.5+r26243-2) unstable; urgency=medium

  * debian/patches/14_fix_ga_download.patch: Updated to surpress unnecessary
    extraction of Global Arrays tarball, which results in reversing some
    patches and leads to build failures.
  * debian/rules (LIBMPI): Use -lmpif77 on mpich architectures.

 -- Michael Banck <mbanck@debian.org>  Sun, 12 Oct 2014 00:20:42 +0200

nwchem (6.5+r26243-1) unstable; urgency=medium

  * New upstream release.  New features include:
    + Analytical TDDFT gradients
    + Open and closed-shell CPHF (Raman spectra for TDDFT)
    + Transition densities for excited states
    + Analytical 2nd derivatives for Becke97 style XC functionals
    + Spin-component scaled (SCS) MP2/CCSD
    + Accurate calculation of Electron Affinities (EA) and Ionization
      Potentials (IP) with equation-of-motion coupled-cluster theory
      (IP/EA-EOMCCSD)
    + Temperature accelerated molecular dynamics (TAMD)
    + 2D surface geometry optimizations
    + Frozen Phonon in BAND module
    + Complete handling of space groups
  * debian/patches/03_hurd-i386_define_path_max.patch: Updated, it was
    modifying a no longer used version of the file, resulting in a build
    failure on hurd-i386.
  * debian/control (Priority): Set to optional.
  * debian/rules (LIBMPI): Added -lmpi_f77.
  * debian/TODO: Updated.
  * debian/patches/03_hurd-i386_define_path_max.patch: Updated for new GA release.
  * debian/patches/06_statfs_kfreebsd.patch: Likewise.
  * debian/patches/07_ga_target_force_linux.patch: Likewise.
  * debian/patches/11_fix_armci_locks.patch: Likewise.
  * debian/patches/12_pythonlib_multiarch_path.patch: Updated.
  * debian/patches/02_makefile_flags.patch: Updated.
  * debian/upstream: Moved to debian/upstream/metadata.
  * debian/patches/14_fix_ga_download.patch: New patch, avoids downloading GA
    tarball if present already.
  * debian/rules (GA_COPT, ARMCI_COPT): New variables, set CFLAGS for Global
    Arrays build to '-g -O2'.
  * debian/control (Build-Depends): Added libscalapack-mpi-dev.
  * debian/rules (USE_SCALAPACK, SCALAPACK): New variables on 32bit arches,
    enabling scalapack support.  This fixes some test suite crashes during
    parallel diagonalization.
  * debian/patches/15_testsuite_print_output_on_failure.patch: New patch,
    prints the last 50 lines of a test output if NWChem execution fails during
    the test.
  * debian/testsuite: Update 'all' tests with current set of QM/MD tests of
    upstream testsuite.
  * debian/testsuite: Added tddftgrad_n2_uks.out, tddftgrad_ch2o,
    tce_eaccsd_ozone, tce_ipccsd_f2, tce_hyperpolar_ccsd_small, mp2_scs_n2,
    cosmo_h3co, h2o_selci, n2_ccsd, pspw_md, pspw_stress and qmmm_grad0.
  * debian/patches/01_hardcode_basis-sets_location.patch: Removed, no longer
    needed.
  * debian/rules (IPCCSD, EACCSD): New variable, enabling IP/EA functionality
    for EOMCCSD.
  * debian/control (Description): Updated for new features.
  * debian/rules (RUNTESTS): Switched to runtests.mpi.unix.
  * debian/patches/04_show_testsuite_diff_output.patch: Updated for new
    $(RUNTESTS) script.  
  * debian/patches/15_testsuite_print_output_on_failure.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sat, 11 Oct 2014 14:41:59 +0200

nwchem (6.3+r2-3) unstable; urgency=medium

  * debian/rules (CCSDTLR): New variable, enables the CCSDT linear response
    code if `ccsdtlr' is set in DEB_BUILD_OPTIONS.
  * debian/rules (DEB_HOST_ARCH): New variable, seeded from dpkg-architecture.
  * debian/rules (GCC49_ARM_BROKEN): New variable, defined on armhf.
  * debian/patches/13_armhf_noopt.patch: New patch, adds -O1 to FFLAGS for the
    tce/mrcc submodule if GCC49_ARM_BROKEN is defined, fixing gfortran-4.9 bad
    assembler generation on armhf.

 -- Michael Banck <mbanck@debian.org>  Thu, 25 Sep 2014 10:40:25 +0200

nwchem (6.3+r2-2) unstable; urgency=medium

  * debian/TODO: Updated.
  * debian/testsuite: Removed cosmo_h3co_ecp test case as it crashes on a lot
    of architectures and results in a hang on powerpc.
  * debian/nwchem.install: Moved installation of user manual to ...
  * debian/nwchem-data.install: ... here.
  * debian/control (Build-Depends): Changed texlive to texlive-latex-base.
  * debian/rules (override_dh_auto_build): Split up into
    override_dh_auto_build-arch and override_dh_auto_build-indep, building the


=== debian/control ===
Source: nwchem
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: autotools-dev (>> 20100122.1~),
               csh,
               debhelper (>= 7.0.50~),
               gfortran,
               libblas-dev,
               libblacs-mpi-dev,
               liblapack-dev,
               libscalapack-mpi-dev,
               mpi-default-bin,
               mpi-default-dev,
               openssh-client,
               python-dev (>= 2.6.6-3~),
               texlive-latex-base,
               zlib1g-dev
Standards-Version: 3.9.5
X-Python-Version: current
Homepage: http://www.nwchem-sw.org
Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/nwchem/
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/nwchem/

Package: nwchem
Architecture: any
Depends: mpi-default-bin,
         nwchem-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance computational chemistry software
 NWChem is a computational chemistry program package.  It provides methods
 which are scalable both in their ability to treat large scientific
 computational chemistry problems efficiently, and in their use of available
 parallel computing resources from high-performance parallel supercomputers to
 conventional workstation clusters.
 .
 NWChem can handle:
 .
  * Molecular electronic structure methods using gaussian
    basis functions for high-accuracy calculations of molecules
  * Pseudopotentials plane-wave electronic structure methods for calculating
    molecules, liquids, crystals, surfaces, semi-conductors or metals
  * Ab-initio and classical molecular dynamics simulations
  * Mixed quantum-classical simulations
  * Parallel scaling to thousands of processors
 .
 Features include:
  * Molecular electronic structure methods, analytic second derivatives:
   - Restricted/unrestricted Hartree-Fock (RHF, UHF)
   - Restricted Density Functional Theory (DFT) using many local,
     non-local (gradient-corrected) or hybrid (local, non-local, and HF)
     exchange-correlation potentials
  * Molecular electronic structure methods, analytic gradients:
   - Restricted open-shell Hartree-Fock (ROHF)
   - Unrestricted Density Functional Theory (DFT)
   - Second-order Moeller-Plesset perturbation theory (MP2), using RHF and UHF
     reference
   - Complete active space SCF (CASSCF)
   - Time-Dependent Density Functional Theory (TDDFT)
  * Molecular electronic structure methods, single-point energies:
   - MP2 with resolution of the identity integral approximation (RI-MP2) or
     spin-component scaled approach (SCS-MP2), using RHF and UHF reference
   - Coupled cluster singles and doubles, triples or pertubative triples
     (CCSD, CCSDT, CCSD(T)), with RHF and UHF reference
   - Configuration interaction (CISD, CISDT, and CISDTQ)
   - Second-order approximate coupled-cluster singles doubles (CC2)
   - State-specific multireference coupled cluster methods (MRCC)
     (Brillouin-Wigner (BW-MRCC) and Mukherjee (Mk-MRCC) approaches)
  * Further molecular electronic structure features:
   - Geometry optimization including transition state searches, constraints
     and minimum energy paths (via the Nudged Elastic Band (NEB) and Zero
     Temperature String methods)
   - Vibrational frequencies
   - Equation-of-motion (EOM)-CCSD, EOM-CCSDT, EOM-CCSD(T), CC2,
     Configuration-Interaction singles (CIS), time-dependent HF (TDHF) and
     TDDFT, for excited states with RHF, UHF, RDFT, or UDFT reference
   - Solvatisation using the Conductor-like screening model (COSMO) for RHF,
     ROHF and DFT, including analytical gradients
   - Hybrid calculations using the two- and three-layer ONIOM method
   - Relativistic effects via spin-free and spin-orbit one-electron
     Douglas-Kroll and zeroth-order regular approximations (ZORA) and
     one-electron spin-orbit effects for DFT via spin-orbit potentials
  * Pseudopotential plane-wave electronic structure:
   - Pseudopotential Plane-Wave (PSPW), Projector Augmented Wave (PAW) or band
     structure methods for calculating molecules, liquids, crystals, surfaces,
     semi-conductors or metals
   - Geometry/unit cell optimization including transition state searches
   - Vibrational frequencies
   - LDA, PBE96, and PBE0 exchange-correlation potentials (restricted and
     unrestricted)
   - SIC, pert-OEP, Hartree-Fock, and hybrid functionals (restricted and
     unrestricted)
   - Hamann, Troullier-Martins and Hartwigsen-Goedecker-Hutter norm-conserving
     pseudopotentials with semicore corrections
   - Wavefunction, density, electrostatic and Wannier plotting
   - Band structure and density of states generation
  * Car-Parrinello ab-initio molecular dynamics (CPMD):
   - Constant energy and constant temperature dynamics
   - Verlet algorithm for integration
   - Geometry constraints in cartesian coordinates
  * Classical molecular dynamics (MD):
   - Single configuration energy evaluation
   - Energy minimization
   - Molecular dynamics simulation
   - Free energy simulation (multistep thermodynamic perturbation (MSTP) or
     multiconfiguration thermodynamic integration (MCTI) methods with options
     of single and/or dual topologies, double wide sampling, and separation-
     shifted scaling)
   - Force fields providing effective pair potentials, first order
     polarization, self consistent polarization, smooth particle mesh Ewald
     (SPME), periodic boundary conditions and SHAKE constraints
  * Mixed quantum-classical:
   - Mixed quantum-mechanics and molecular-mechanics (QM/MM) minimizations and
     molecular dynamics simulations
   - Quantum molecular dynamics simulation by using any of the quantum
     mechanical methods capable of returning gradients.

Package: nwchem-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: High-performance computational chemistry software (data files)
 NWChem is a computational chemistry program package.  It provides methods
 which are scalable both in their ability to treat large scientific
 computational chemistry problems efficiently, and in their use of available
 parallel computing resources from high-performance parallel supercomputers to
 conventional workstation clusters.
 .
 This package contains the basis sets, pseudopotentials and AMBER/CHARMM
 parameter files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_HOST_ARCH_BITS := $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
DEB_HOST_ARCH      := $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(filter checkall,$(DEB_BUILD_OPTIONS)))
export RUN_ALL_TESTS ="yes"
endif

include /usr/share/mpi-default-dev/debian_defaults

ifeq ($(DEB_HOST_ARCH_BITS),64)
export NWCHEM_TARGET=LINUX64
#export USE_SCALAPACK_I8="yes"
#export BLAS_SIZE=4
#export SCALAPACK=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
export BLAS_LIB="yes"
export LAPACK_LIB="yes"
export USE_64TO32="yes"
else
export NWCHEM_TARGET=LINUX
export BLAS_LIB="yes"
export LAPACK_LIB="yes"
export USE_SCALAPACK="yes"
export SCALAPACK=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
endif
ifeq ($(DEB_HOST_ARCH),armhf)
export GCC49_ARM_BROKEN="yes"
endif
export NWCHEM_TOP=${CURDIR}
export NWCHEM_MODULES="pnnl"
export PYTHONVERSION=$(shell pyversions -dv)
export PYTHONHOME=$(shell python-config --prefix)
export LIBDIR=${NWCHEM_TOP}/lib/${NWCHEM_TARGET}
export LARGE_FILES=TRUE
export FC=gfortran
export USE_MPI="y"
export USE_MPIF="y"
export USE_MPIF4="y"
ifeq ($(ARCH_DEFAULT_MPI_IMPL),mpich)
export LIBMPI=-lmpi -lmpif77
else
export LIBMPI=-lmpi -lmpi_f77
endif
export MPI_LIB=/usr/lib
export MPI_INCLUDE=/usr/include/mpi
ifneq (,$(filter ccsdtq,$(DEB_BUILD_OPTIONS)))
export CCSDTQ="yes"
endif
ifneq (,$(filter ccsdtlr,$(DEB_BUILD_OPTIONS)))
export CCSDTLR="yes"
endif
export MRCC_METHODS=y
export IPCCSD=y
export EACCSD=y
export HAS_BLAS="yes"
export BLASOPT=-lblas -llapack
export BLACS=-lblacs-$(ARCH_DEFAULT_MPI_IMPL) -lblacsCinit-$(ARCH_DEFAULT_MPI_IMPL)
export ARMCI_NETWORK=SOCKETS
export GA_COPT=-g -O2
export ARMCI_COPT=-g -O2
export USE_ARUR="yes"

%:
	dh $@ --with autotools_dev,python2 --parallel

override_dh_auto_build-arch:
	mkdir -p $(CURDIR)/bin/${NWCHEM_TARGET}
	(cd $(CURDIR)/src && NWCHEM_TOP=$(CURDIR) make nwchem_config)
ifeq ($(DEB_HOST_ARCH_BITS),64)
	(cd $(CURDIR)/src && make 64_to_32)
	find src -name include_stamp | xargs rm -f
	find src -name dependencies | xargs rm -f
endif
	(cd $(CURDIR)/src && make)
	(cd $(CURDIR)/src/util && make)
	(cd $(CURDIR)/src && make link)
ifeq ($(DEB_HOST_ARCH_BITS),64)
	(cd $(CURDIR)/src && make 32_to_64)
endif

override_dh_auto_build-indep:
	(cd $(CURDIR)/doc && make pdf)

override_dh_auto_clean:
	dh_testdir
	-(cd $(CURDIR)/src && make realclean)
	-(cd $(CURDIR)/doc && make realclean)
	rm -rf $(CURDIR)/bin $(CURDIR)/lib $(CURDIR)/src/tools/lib 
	rm -rf $(CURDIR)/QA/scratchdir $(CURDIR)/QA/testoutputs
	rm -f src/util/util_version.F src/stubs.F
	find $(CURDIR) -name "*.stamp" | xargs rm -f
	dh_auto_clean

export RUNTESTS=$(CURDIR)/QA/runtests.mpi.unix 
export NWCHEM_EXECUTABLE=${NWCHEM_TOP}/bin/${NWCHEM_TARGET}/nwchem
export NWCHEM_BASIS_LIBRARY=${NWCHEM_TOP}/src/basis/libraries/
export NWCHEM_NWPW_LIBRARY=${NWCHEM_TOP}/src/nwpw/libraryps/

override_dh_auto_test:
	dh_testdir
	-(cd $(CURDIR)/QA && if [ "$(RUN_ALL_TESTS)" = "yes" ]; then \
	   ../debian/testsuite all; else ../debian/testsuite; fi)

## nwchem 6.6+r27746

=== contrib/mov2asc/Makefile ===
# Makefile for movecs <--> ASCII translators
# $Id: Makefile 27116 2015-05-18 18:50:26Z edo $

# Tested on KSR, Cray-T3D
# Requires NWCHEM_TARGET to be set.
# Requires NWChem includes and library for MA (in libnwcutil.a)

ifeq ($(NWCHEM_TARGET),CRAY-T3D) # (must run on MPP not host)
   FFLAGS = -Wf"-dp" -Wp"-F" -Ccray-t3d 
endif

ifeq ($(NWCHEM_TARGET),CRAY-T3E)
   FFLAGS = -O 1 -d p -F
   FC     = f90
endif

ifeq ($(NWCHEM_TARGET),LINUX)
   FFLAGS = -fno-second-underscore
endif
ifeq ($(NWCHEM_TARGET),LINUX64)
  ifeq ($(FC),gfortran)
   FFLAGS = -fdefault-integer-8
  else
#   FFLAGS = -i8
   FFLAGS =
  endif	
endif

ifeq ($(NWCHEM_TARGET),KSR)
   FFLAGS = -r8
endif

ifeq ($(NWCHEM_TARGET),IBM)
   FFLAGS = -qEXTNAME
endif

ifeq ($(NWCHEM_TARGET),IBM)
   CPPFLAGS = -WF,"-I../../src/tools/install/include"		# Needs MA includes
else
   CPPFLAGS = -I../../src/tools/install/include			# Needs MA includes
endif
LDFLAGS = -L../../src/tools/install/lib -lga -larmci	# Needs MA library
ifeq ($(USE_MPI),y)
  LDFLAGS += -L../../lib/${NWCHEM_TARGET} -lnwcutil
  ifndef MPI_INCLUDE
        MPI_INCLUDE = $(shell $(NWCHEM_TOP)/src/tools/guess-mpidefs --mpi_include)
  endif
  ifndef MPI_LIB
        MPI_LIB     = $(shell $(NWCHEM_TOP)/src/tools/guess-mpidefs --mpi_lib)
  endif
  ifndef LIBMPI
        LIBMPI      = $(shell $(NWCHEM_TOP)/src/tools/guess-mpidefs --libmpi)
  endif
  ifdef MPI_LIB
      CORE_LIBS += $(patsubst -L-L%,-L%,-L$(MPI_LIB))
   endif

  ifneq ($(MPI_LIB),)
    LDFLAGS += $(patsubst -L-L%,-L%,-L${MPI_LIB})
  endif
  ifneq ($(LIBMPI),)
    LDFLAGS += ${LIBMPI}
  endif
endif
ifneq ($(USE_GPROF),)
  FFLAGS += -pg
  LDFLAGS += -pg
endif
COMM_LIBS=  $(shell grep ARMCI_NETWORK_LIBS\ = ${NWCHEM_TOP}/src/tools/build/Makefile | cut -b 22-)
LDFLAGS += $(COMM_LIBS)

ifdef BLASOPT
  LDFLAGS += $(BLASOPT)
endif

all:    mov2asc asc2mov

mov2asc:	mov2asc.o
	${FC} ${FFLAGS} ${CPPFLAGS} -o $@ $^ ${LDFLAGS} 

asc2mov:	asc2mov.o
	${FC} ${FFLAGS} ${CPPFLAGS} -o $@ $^ ${LDFLAGS} 


clean realclean:
	$(RM) *.o mov2asc asc2mov



%.o:	%.F
	$(FC) -c $(FFLAGS) $(CPPFLAGS) $<

%.o:	%.f
	$(FC) -c $(FFLAGS) $<

%.o:	%.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $<

=== contrib/marat/swap/Makefile ===
#
# Makefile For Response/Local Potential Calculation
#
EXE     = swap_pdb
SRCS = \
main.f smd_pdb.f
OBJS =$(SRCS:.f=.o)
${EXE}: $(OBJS) ;
	${FC} -o ${EXE} ${OBJS}

clean:
	rm -rf *.o swap_pdb

=== src/tools/ga-5-4/cca/ga_cca_classic/Makefile ===
# CCAFE_HOME= To be set as an Environment variable:
# Eg: export CCAFE_HOME=/msrc/proj/cca/manoj/dccafe/cxx

# Here we must contend with two kinds of .o file --
# those built normally and those built for use in
# dynamic libraries. To that end we delete .o files
# built for DL as soon as we've converted them to .so.

zeroth: first

EG_ROOT=$(CCA_ROOT)/cxx/eg

include $(CCAFE_HOME)/Makefile.Rules
include $(CCAFE_HOME)/MakeIncl.CCAFE_Component
include $(EG_ROOT)/ccaComponent/MakeIncl.EGComponent

#OTHERFLAGS = -D_DBG_ILOOP -D_DBG_PLATE1

ifdef LINUX64_QUADRICS
  EXTRA_LIBS = -lshmem -lelan3 -lelan -lpthread
endif

GA_INC  = -I$(GA_HOME)/include
GA_LIBS = -L$(GA_HOME)/lib/$(TARGET) -L$(MPI_LIB) -ldl -lc -lglobal\
        -lma -llinalg -larmci -ltcgmsg-mpi $(LIBMPI)\
        -lg2c -lnsl $(EXTRA_LIBS) -lm

LOCALFLAGS= $(OTHERFLAGS) $(EG_INC) $(GA_INC) -I$(MPI_INCLUDE) -I.
WRAPPERFLAGS= -w
WRAPPERFLAGS= 

SHARED_FLAGS = -fpic

%.o : %.C
	$(CXX) -c $(SHARED_FLAGS) $(CXXFLAGS)  $<

%.o : %.cxx
	$(CXX) -c $(SHARED_FLAGS) $(CXXFLAGS) $(LOCALFLAGS) $<

%.i : %.cxx
	-$(RM) $@
	$(CXX) $(CPPFLAGS) $(LOCALFLAGS) $< | egrep -v ^$$ |egrep -v '^# ' > $@


%.class : %.java
	$(JAVAC)  $(JAVAFLAGS)  $<
%.h : %.class
	$(JAVAH) $(JAVAHFLAGS) $(<:%.class=%)

JAVASRC = 

# dl stuff that is not ccaffeine dependent
CXXDLSTRICTSRC= \
GAServices.cxx

# dl stuff that is ccaffeine dependent
CXXDLLOOSESRC= 

# static link stuff
CXXDLNONESRC=

# stuff built with or without a parallel environment.
CXXSRC = $(CXXDLSTRICTSRC) $(CXXDLLOOSESRC) $(CXXDLNONESRC)

NEWSRC = \
GlobalArray.cxx \
overload.cxx \
GAServices_DADF.cxx \
GA_DADFArray.cxx \
DADFAxisInfo.cxx \
DADFTemplate.cxx \
DADFDescriptor.cxx \
DADFRegionInfo.cxx

CXXOBJ = $(CXXSRC:%.cxx=%.o)
CXXDSSOBJ = $(CXXDLSTRICTSRC:%.cxx=%.so)
CXXDLSOBJ = $(CXXDLLOOSESRC:%.cxx=%.so)
NEWOBJ = $(NEWSRC:%.cxx=%.o)

$(CXXDSSOBJ) : %$(CCAFE_SHLIB_SUFFIX) : %.cxx  allobj
	-$(RM) $@ $*.o 
	#$(CCAFE_HOME)/dc/component/genDLWrapperStrict $* > $*_wrapper.cxx
	#$(CCAFE_HOME)/dc/component/genDLIndex $@ create_$* $* > $*.cca
	$(CXX) -c $(CXXFLAGS) $(LOCALFLAGS) $(CCAFE_SHLIB_CFLAGS) $< 
	$(CXX) -c $(CXXFLAGS) $(LOCALFLAGS) $(CCAFE_SHLIB_CFLAGS) \
		$(WRAPPERFLAGS) $*_wrapper.cxx
	$(CCAFE_SHLIB_LD) $(CCAFE_SHLIB_LDFLAGS) -o $@ $*.o $*_wrapper.o \
		$(NEWOBJ) $(GA_LIBS)
	-$(RM) $*.o $(NEWOBJ) $*_wrapper.o

LIB= libcomponent.a

first all: lib dllib
	@echo done $(CXXOBJ) $(JAVACLS) $(JNIHDR)

lib : allobj
	ar $(ARFLAGS) $(LIB) $(CXXOBJ) $(NEWOBJ)
	$(RANLIB) $(LIB)

dllib: $(CXXDSSOBJ) $(CXXDLSOBJ)

allobj : $(CXXOBJ) $(JAVACLS) $(JNIHDR) $(NEWOBJ)

new: $(NEWOBJ)

$(CXXOBJ) : $(CXXSRC)


clean:
	$(RM) -f $(CXXOBJ) $(LIB) $(JAVACLS) $(JNIHDR) $(NEWOBJ) *.so *_wrapper.o *.i *~

depend:
	$(DEPEND) $(CXXFLAGS) $(LOCALFLAGS) $(CXXSRC) $(NEWSRC)

depend-sys:
	$(DEPENDSYS) $(CXXFLAGS) $(LOCALFLAGS) $(CXXSRC) $(NEWSRC)

#include Makefile.depends

=== src/tools/ga-5-4/cca/ga_cca_classic/TestComponent/Makefile ===
# CCAFE_HOME= To be set as an Environment variable:
# Eg: export CCAFE_HOME=/msrc/proj/cca/manoj/dccafe/cxx

# Here we must contend with two kinds of .o file --
# those built normally and those built for use in
# dynamic libraries. To that end we delete .o files
# built for DL as soon as we've converted them to .so.

zeroth: first

EG_ROOT=$(CCA_ROOT)/cxx/eg

include $(CCAFE_HOME)/Makefile.Rules
include $(CCAFE_HOME)/MakeIncl.CCAFE_Component
include $(EG_ROOT)/ccaComponent/MakeIncl.EGComponent

#OTHERFLAGS = -D_DBG_ILOOP -D_DBG_PLATE1

ifdef LINUX64_QUADRICS
  EXTRA_LIBS = -lshmem -lelan3 -lelan -lpthread
endif

GA_INC  = -I$(GA_HOME)/include
GA_LIBS = -L$(GA_HOME)/lib/$(TARGET) -L$(MPI_LIB) -ldl -lc -lglobal\
        -lma -llinalg -larmci -ltcgmsg-mpi $(LIBMPI)\
        -lg2c -lnsl $(EXTRA_LIBS) -lm

LOCALFLAGS= $(OTHERFLAGS) $(EG_INC) $(GA_INC) -I$(MPI_INCLUDE) -I.
WRAPPERFLAGS= -w
WRAPPERFLAGS= 

SHARED_FLAGS = -fpic

%.o : %.C
	$(CXX) -c $(SHARED_FLAGS) $(CXXFLAGS)  $<

%.o : %.cxx
	$(CXX) -c $(SHARED_FLAGS) $(CXXFLAGS) $(LOCALFLAGS) $<

%.i : %.cxx
	-$(RM) $@
	$(CXX) $(CPPFLAGS) $(LOCALFLAGS) $< | egrep -v ^$$ |egrep -v '^# ' > $@


%.class : %.java
	$(JAVAC)  $(JAVAFLAGS)  $<
%.h : %.class
	$(JAVAH) $(JAVAHFLAGS) $(<:%.class=%)

JAVASRC = 

# dl stuff that is not ccaffeine dependent
CXXDLSTRICTSRC= \
TestComponent.cxx

# dl stuff that is ccaffeine dependent
CXXDLLOOSESRC= 

# static link stuff
CXXDLNONESRC=

# stuff built with or without a parallel environment.
CXXSRC = $(CXXDLSTRICTSRC) $(CXXDLLOOSESRC) $(CXXDLNONESRC)

NEWSRC = 


CXXOBJ = $(CXXSRC:%.cxx=%.o)
CXXDSSOBJ = $(CXXDLSTRICTSRC:%.cxx=%.so)
CXXDLSOBJ = $(CXXDLLOOSESRC:%.cxx=%.so)
NEWOBJ = $(NEWSRC:%.cxx=%.o)

$(CXXDSSOBJ) : %$(CCAFE_SHLIB_SUFFIX) : %.cxx
	-$(RM) $@ $*.o 
	#$(CCAFE_HOME)/dc/component/genDLWrapperStrict $* > $*_wrapper.cxx
	#$(CCAFE_HOME)/dc/component/genDLIndex $@ create_$* $* > $*.cca
	$(CXX) -c $(CXXFLAGS) $(LOCALFLAGS) $(CCAFE_SHLIB_CFLAGS) $< 
	$(CXX) -c $(CXXFLAGS) $(LOCALFLAGS) $(CCAFE_SHLIB_CFLAGS) \
		$(WRAPPERFLAGS) $*_wrapper.cxx
	$(CCAFE_SHLIB_LD) $(CCAFE_SHLIB_LDFLAGS) -o $@ $*.o $*_wrapper.o \
		$(NEWOBJ) $(GA_LIBS)
	-$(RM) $*.o $(NEWOBJ) $*_wrapper.o

LIB= libcomponent.a

first all: lib dllib
	@echo done $(CXXOBJ) $(JAVACLS) $(JNIHDR)

lib : allobj
	ar $(ARFLAGS) $(LIB) $(CXXOBJ) $(NEWOBJ)
	$(RANLIB) $(LIB)

dllib: $(CXXDSSOBJ) $(CXXDLSOBJ)

allobj : $(CXXOBJ) $(JAVACLS) $(JNIHDR) $(NEWOBJ)

new: $(NEWOBJ)

$(CXXOBJ) : $(CXXSRC)


clean:
	$(RM) -f $(CXXOBJ) $(LIB) $(JAVACLS) $(JNIHDR) $(NEWOBJ) *.so *_wrapper.o *.i *~

depend:
	$(DEPEND) $(CXXFLAGS) $(LOCALFLAGS) $(CXXSRC) $(NEWSRC)

depend-sys:
	$(DEPENDSYS) $(CXXFLAGS) $(LOCALFLAGS) $(CXXSRC) $(NEWSRC)

#include Makefile.depends

=== debian/changelog ===
nwchem (6.6+r27746-2) unstable; urgency=medium

  * debian/patches/17_fix_implicit_conversion_to_pointer.patch: New patch,
    includes ga-mpi.h, silencing build warnings/errors depending on compiler
    flags.
  * debian/rules: Disable scalapack on 32bit archictures for now as well.
  * debian/patches/18_upstream_patches.patch: New patch, contains the following
    upstream patches:
    + Cosmo_meminit.patch
    + Dplot_tolrho.patch
    + Driver_smalleig.patch
    + Ga_argv.patch
    + Raman_displ.patch
    + Sym_abelian.patch
    + Tddft_mxvec20.patch
    + Tools_lib64.patch
    + Xccvs98.patch

 -- Michael Banck <mbanck@debian.org>  Sun, 14 Feb 2016 13:05:15 +0100

nwchem (6.6+r27746-1) unstable; urgency=medium

  * New upstream release.  New features include:
    + New AIMD ab-initio molecular dynamics module (NVT, NVE) for molecular
      systems with gaussian basis sets
    + York-Karplus approach in the COSMO solvation model
    + Metropolis NVT and NPT added to PSPW module
    + Grimme2 and Grimme3 potentials added to NWPW module
    + New, simple to use, implementation of the PAW method into PSPW module
    + Equation parser for defining collective variables in Metadynamics and
      TAMD
  * debian/patches/03_hurd-i386_define_path_max.patch: Refreshed.
  * debian/patches/06_statfs_kfreebsd.patch: Likewise.
  * debian/patches/07_ga_target_force_linux.patch: Likewise.
  * debian/patches/11_fix_armci_locks.patch: Likewise.
  * debian/patches/12_pythonlib_multiarch_path.patch: Likewise.
  * debian/patches/16_deterministic_timestamp_in_ar_workaround.patch: Likewise.
  * debian/control (Build-Depends): Added pkg-config.
  * debian/rules (LIBMPI): Updated for new OpenMPI, thanks to Graham Inggs.
  * debian/rules (override_dh_auto_clean): Remove src/util/util_module_avail.F.
  * debian/patches/02_makefile_flags.patch: Updated.
  * debian/patches/14_fix_ga_download.patch: Removed, no longer needed.

 -- Michael Banck <mbanck@debian.org>  Sat, 13 Feb 2016 21:56:16 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                mpi-default-bin,
                mpi-default-dev,
                openssh-client,
+               pkg-config,
                python-dev (>= 2.6.6-3~),
                texlive-latex-base,
                zlib1g-dev

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,8 @@
 export NWCHEM_TARGET=LINUX
 export BLAS_LIB="yes"
 export LAPACK_LIB="yes"
-export USE_SCALAPACK="yes"
-export SCALAPACK=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
+#export USE_SCALAPACK="yes"
+#export SCALAPACK=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
 endif
 ifeq ($(DEB_HOST_ARCH),armhf)
 export GCC49_ARM_BROKEN="yes"
@@ -43,7 +43,7 @@
 ifeq ($(ARCH_DEFAULT_MPI_IMPL),mpich)
 export LIBMPI=-lmpi -lmpif77
 else
-export LIBMPI=-lmpi -lmpi_f77
+export LIBMPI=$(shell pkg-config mpi-fort --libs)
 endif
 export MPI_LIB=/usr/lib
 export MPI_INCLUDE=/usr/include/mpi
@@ -91,7 +91,7 @@
 	-(cd $(CURDIR)/doc && make realclean)
 	rm -rf $(CURDIR)/bin $(CURDIR)/lib $(CURDIR)/src/tools/lib 
 	rm -rf $(CURDIR)/QA/scratchdir $(CURDIR)/QA/testoutputs
-	rm -f src/util/util_version.F src/stubs.F
+	rm -f src/util/util_version.F src/stubs.F src/util/util_module_avail.F
 	find $(CURDIR) -name "*.stamp" | xargs rm -f
 	dh_auto_clean

=== debian/watch ===
version=3
opts=filenamemangle=s/.*(Nwchem-[\d.]+.*?\.tar\.gz)/$1/g,uversionmangle=s/([\d.]+?)\.r(?:evision)?(\d+)/$1+r$2/g \
http://www.nwchem-sw.org/index.php/Download .*Nwchem-([\d.]+(?:r(?:evision)?\d+)?).*?\.tar\.gz
